---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: boot-server
  annotations:
    cert-manager.io/cluster-issuer: "letsencrypt-production"
    alias-managed: "true"
    kubernetes.io/ingress.class: nginx
    nginx.ingress.kubernetes.io/ssl-redirect: "false"
spec:
  rules:
    - host: boot-server-prod.let.ethz.ch
      http:
        paths:
          - backend:
              service:
                name: kickstart-server
                port:
                  number: 5000
            pathType: Prefix
            path: /
    - host: eduit-bootserver.ethz.ch
      http:
        paths:
          - backend:
              service:
                name: kickstart-server
                port:
                  number: 5000
            pathType: Prefix
            path: /
  tls:
    - hosts:
        - boot-server-prod.let.ethz.ch
        - eduit-bootserver.ethz.ch
      secretName: boot-server-prod-ssl-cert
